=== debian/control ===
Source: ros-iron-moveit-resources-prbt-ikfast-manipulator-plugin
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-generate-parameter-library, ros-iron-moveit-core, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-tf2-eigen, ros-iron-tf2-eigen-kdl, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-resources-prbt-ikfast-manipulator-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-generate-parameter-library, ros-iron-moveit-core, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-ros-workspace
Description: The prbt_ikfast_manipulator_plugin package
